import { Observable } from 'rxjs';
import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
import { ResourceType } from '../types/resource.type';
import { Serializable } from '../interfaces/serializable.interface';
export interface ResourceSerializerOptions<T extends Serializable> {
    type: ResourceType<T>;
}
export declare class ResourceSerializerInterceptor<T extends Serializable> implements NestInterceptor<T, T> {
    private options;
    constructor(options: ResourceSerializerOptions<T>);
    intercept(context: ExecutionContext, next: CallHandler): Observable<T>;
}
//# sourceMappingURL=resource-serializer.interceptor.d.ts.map