import 'reflect-metadata';

export type ResourceOptions = {
  name: string;
}

export const Resource = (options: ResourceOptions): ClassDecorator => {
  return (target: Object) => {
    Reflect.defineMetadata('JSONAPI_ENTITY', options, target);
  };
};